<!DOCTYPE html>
<html lang="en">

<head>
	<meta charset="UTF-8">
	<meta name="viewport" content="width=device-width, initial-scale=1.0">
	<title>Alert</title>
</head>

<body>
	
	<textarea name="ta" id="alerts" cols="30" rows="10">
  
    </textarea><br>
    Sent alert: <input type="text" id="but">
    <input type="button" id="submit" value="Get Results">
    <script>
        const socket = new WebSocket('ws://localhost:8000/ws/alerts/');
        socket.onmessage = (e) => {
            const data = JSON.parse(e.data);
            document.getElementById("alerts").value += "New alert: " + data.message + "\n";
        }
  
        socket.onclose = (e) => {
            console.log("Socket closed!");
        }
  
        document.querySelector('#but').onkeyup = function (e) {
            if (e.keyCode === 13) {  // enter, return
                document.querySelector('#submit ').click();
            }
        };
  
        document.querySelector("#submit").onclick = (e) => {
            inputfield = document.querySelector("#but")
            message = inputfield.value
            socket.send(JSON.stringify(
                {
                    message : message
                }
            ))
            document.querySelector("#alerts").value += "You: " + message + "\n";
            inputfield.value = "";
        }
  
    </script>

</body>
</html>
